PUT /api/v3/admin/customapplicationaction/{webhookId}

Fire a custom application action webhook

ProcessCustomAppActionV3 Permissions: ApplicationSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
webhookId The identifier for the webhook being fired integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

WebhookLogDetailsResponse
Property Description Type
request The request that was sent from the webhook (headers and body) Required (defined) string
response The response that was received from the configured url (headers and body) Required (defined) string
result The HTTP status code that was received from the configured url 0 indicates no response was received from the configured url Required (defined) string
url The URL that the webhook is configured for Required (defined) string
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
Example Response application/json
{  "request": "string",  "response": "string",  "result": "string",  "url": "string",  "user": {    "fullName": "string",    "userCode": "string",    "userId": 1
  }
}